Page MenuHomeFreeBSD

[NEW FEATURE] USE_PYTHON=build to support pyproject.toml based projects (PEP-517 is supported at the level of individual ports)
ClosedPublic

Authored by yuri on Aug 7 2022, 6:44 PM.

Details

Summary

This patch adds USE_PYTHON=build feature that allows to support pyproject.toml based Python projects.

It uses devel/py-build/devel/py-installer to build and install the port.

There are several examples as dependencies of the issue https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=255722
They all build successfully in poudriere.

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

yuri requested review of this revision.Aug 7 2022, 6:44 PM
yuri retitled this revision from [NEW FEATURE] USE_PYTHON=build to support pyproject.toml based projects to [NEW FEATURE] USE_PYTHON=build to support pyproject.toml based projects (PEP-517 is supported at the level of individual ports).Aug 8 2022, 1:42 AM
This revision was not accepted when it landed; it landed in state Needs Review.Aug 21 2022, 8:16 PM
This revision was automatically updated to reflect the committed changes.